Debian Bug report logs - #604269
Preparations for the removal of the KDE3 libraries

version graph

Package: src:gambas2; Maintainer for src:gambas2 is José L. Redrejo Rodríguez <jredrejo@debian.org>;

Reported by: Eckhart Wörner <ewoerner@kde.org>

Date: Sun, 21 Nov 2010 18:06:03 UTC

Severity: serious

Tags: patch, sid, wheezy

Fixed in version gambas2/2.22.0-1

Done: jredrejo@debian.org (José L. Redrejo Rodríguez)

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to José L. Redrejo Rodríguez <jredrejo@debian.org>:
Bug#604269; Package src:gambas2. (Sun, 21 Nov 2010 18:06:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Eckhart Wörner <ewoerner@kde.org>:
New Bug report received and forwarded. Copy sent to José L. Redrejo Rodríguez <jredrejo@debian.org>. (Sun, 21 Nov 2010 18:06:06 GMT) Full text and rfc822 format available.

Message #5 received at maintonly@bugs.debian.org (full text, mbox):

From: Eckhart Wörner <ewoerner@kde.org>
To: maintonly@bugs.debian.org
Subject: Preparations for the removal of the KDE3 and Qt3 libraries
Date: Sun, 21 Nov 2010 19:02:39 +0100
Source: gambas2
Severity: wishlist
User: debian-qt-kde@lists.debian.org
Usertags: qt3libs-removal kde3libs-removal


Dear maintainer,

The Debian Qt/KDE team is planning to remove the KDE3 and Qt3 libraries from 
Debian shortly after the Squeeze release. The transition phase to KDE4 and Qt4 
will finish since both KDE and Nokia upstream don't maintain the old versions 
of those libraries anymore.

In order to make this move, all packages directly or indirectly depending on 
the KDE3/Qt3 libraries have to either get ported to KDE4/Qt4 or eventually get 
removed from the Debian repositories.

Therefore, please take the time and:
- contact your upstream (if existing) and ask about the state of a KDE4/Qt4 
port of your application
- if there are no activities regarding porting, investigate whether there are 
suitable alternatives for your users
- if there is a KDE4/Qt4 port that is not yet packaged, consider packaging it
- if both the KDE3/Qt3 and the KDE4/Qt4 version already coexist in the Debian 
archives, consider removing the KDE3/Qt3 version

Documentation on how to port to KDE4 can be found at:
http://techbase.kde.org/index.php?title=Development/Tutorials/KDE4_Porting_Guide

Documentation on how to port to Qt4 can be found at:
http://doc.qt.nokia.com/4.7/porting4.html

For any questions and issues, do not hesitate to contact the Debian Qt/KDE 
team at debian-qt-kde@lists.debian.org

Eckhart




Severity set to 'serious' from 'wishlist' Request was from Eckhart Wörner <ewoerner@kde.org> to control@bugs.debian.org. (Tue, 08 Feb 2011 11:27:06 GMT) Full text and rfc822 format available.

Added tag(s) sid and wheezy. Request was from Kurt Roeckx <kurt@roeckx.be> to control@bugs.debian.org. (Thu, 10 Feb 2011 19:33:07 GMT) Full text and rfc822 format available.

Added indication that bug 604269 blocks 615129 Request was from Jonathan Nieder <jrnieder@gmail.com> to control@bugs.debian.org. (Sat, 26 Feb 2011 00:33:23 GMT) Full text and rfc822 format available.

Changed Bug title to 'gambas2-gb-qt*: please use Qt 4/KDE 4' from 'Preparations for the removal of the KDE3 and Qt3 libraries' Request was from Jonathan Nieder <jrnieder@gmail.com> to control@bugs.debian.org. (Sat, 26 Feb 2011 00:33:24 GMT) Full text and rfc822 format available.

Severity set to 'wishlist' from 'serious' Request was from Jonathan Nieder <jrnieder@gmail.com> to control@bugs.debian.org. (Sat, 26 Feb 2011 00:33:24 GMT) Full text and rfc822 format available.

Added tag(s) upstream. Request was from Jonathan Nieder <jrnieder@gmail.com> to control@bugs.debian.org. (Sat, 26 Feb 2011 00:33:25 GMT) Full text and rfc822 format available.

Removed tag(s) sid and wheezy. Request was from Jonathan Nieder <jrnieder@gmail.com> to control@bugs.debian.org. (Sat, 26 Feb 2011 00:33:25 GMT) Full text and rfc822 format available.

Severity set to 'serious' from 'wishlist' Request was from Lisandro Damián Nicanor Pérez Meyer <perezmeyer@gmail.com> to control@bugs.debian.org. (Sat, 26 Feb 2011 18:01:34 GMT) Full text and rfc822 format available.

Removed tag(s) upstream. Request was from Lisandro Damián Nicanor Pérez Meyer <perezmeyer@gmail.com> to control@bugs.debian.org. (Sat, 26 Feb 2011 18:01:34 GMT) Full text and rfc822 format available.

Added tag(s) sid and wheezy. Request was from Lisandro Damián Nicanor Pérez Meyer <perezmeyer@gmail.com> to control@bugs.debian.org. (Sat, 26 Feb 2011 18:01:35 GMT) Full text and rfc822 format available.

Changed Bug title to 'Preparations for the removal of the KDE3 libraries' from 'gambas2-gb-qt*: please use Qt 4/KDE 4' Request was from Lisandro Damián Nicanor Pérez Meyer <perezmeyer@gmail.com> to control@bugs.debian.org. (Sat, 26 Feb 2011 18:01:35 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, José L. Redrejo Rodríguez <jredrejo@debian.org>:
Bug#604269; Package src:gambas2. (Sun, 27 Feb 2011 14:36:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ana Guerrero <ana@debian.org>:
Extra info received and forwarded to list. Copy sent to José L. Redrejo Rodríguez <jredrejo@debian.org>. (Sun, 27 Feb 2011 14:36:03 GMT) Full text and rfc822 format available.

Message #32 received at 604269@bugs.debian.org (full text, mbox):

From: Ana Guerrero <ana@debian.org>
To: jredrejo@debian.org, 604269@bugs.debian.org
Subject: Re: Bug#604269: Preparations for the removal of the KDE3 and Qt3 libraries
Date: Sun, 27 Feb 2011 15:32:48 +0100
On Sun, Nov 21, 2010 at 07:02:39PM +0100, Eckhart Wörner wrote:
> Source: gambas2
> Severity: wishlist
> User: debian-qt-kde@lists.debian.org
> Usertags: qt3libs-removal kde3libs-removal
> 
> 
> Dear maintainer,
> 
> The Debian Qt/KDE team is planning to remove the KDE3 and Qt3 libraries from 
> Debian shortly after the Squeeze release. The transition phase to KDE4 and Qt4 
> will finish since both KDE and Nokia upstream don't maintain the old versions 
> of those libraries anymore.
> 
> In order to make this move, all packages directly or indirectly depending on 
> the KDE3/Qt3 libraries have to either get ported to KDE4/Qt4 or eventually get 
> removed from the Debian repositories.
> 
> Therefore, please take the time and:
> - contact your upstream (if existing) and ask about the state of a KDE4/Qt4 
> port of your application
> - if there are no activities regarding porting, investigate whether there are 
> suitable alternatives for your users
> - if there is a KDE4/Qt4 port that is not yet packaged, consider packaging it
> - if both the KDE3/Qt3 and the KDE4/Qt4 version already coexist in the Debian 
> archives, consider removing the KDE3/Qt3 version
> 

Hi,
what is the status of this? Is there any plans for port the kde3 support
of gambas2 to kde4, or should be dropped instead?

Ana




Information forwarded to debian-bugs-dist@lists.debian.org, José L. Redrejo Rodríguez <jredrejo@debian.org>:
Bug#604269; Package src:gambas2. (Sun, 13 Mar 2011 00:06:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Lisandro Damián Nicanor Pérez Meyer <perezmeyer@gmail.com>:
Extra info received and forwarded to list. Copy sent to José L. Redrejo Rodríguez <jredrejo@debian.org>. (Sun, 13 Mar 2011 00:06:03 GMT) Full text and rfc822 format available.

Message #37 received at 604269@bugs.debian.org (full text, mbox):

From: Lisandro Damián Nicanor Pérez Meyer <perezmeyer@gmail.com>
To: 604269@bugs.debian.org
Cc: Debian bug control <control@bugs.debian.org>
Subject: Patch for fixing this bug and possible NMU.
Date: Sat, 12 Mar 2011 21:02:53 -0300
[Message part 1 (text/plain, inline)]
tag 604269 patch
thanks

Hi! I'm attaching a patch for solving this bug. I will possibly upload an NMU 
soon for it to delayed/10.

Please, do not heasitate in contacting me for any comments/issues you may 
have.

Kinds regards, Lisandro.

-- 
I still maintain the point that designing a monolithic kernel in 1991 is a
fundamental error.  Be thankful you are not my student.  You would not get a
high grade for such a design :-)
(Andrew Tanenbaum to Linus Torvalds)

Lisandro Damián Nicanor Pérez Meyer
http://perezmeyer.com.ar/
http://perezmeyer.blogspot.com/
[604269.patch (text/x-patch, attachment)]
[signature.asc (application/pgp-signature, inline)]

Added tag(s) patch. Request was from Lisandro Damián Nicanor Pérez Meyer <perezmeyer@gmail.com> to control@bugs.debian.org. (Sun, 13 Mar 2011 00:06:04 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, José L. Redrejo Rodríguez <jredrejo@debian.org>:
Bug#604269; Package src:gambas2. (Sun, 13 Mar 2011 08:57:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to José Luis Redrejo Rodríguez <jredrejo@debian.org>:
Extra info received and forwarded to list. Copy sent to José L. Redrejo Rodríguez <jredrejo@debian.org>. (Sun, 13 Mar 2011 08:57:07 GMT) Full text and rfc822 format available.

Message #44 received at 604269@bugs.debian.org (full text, mbox):

From: José Luis Redrejo Rodríguez <jredrejo@debian.org>
To: Lisandro Damián Nicanor Pérez Meyer <perezmeyer@gmail.com>, 604269@bugs.debian.org
Cc: Debian bug control <control@bugs.debian.org>
Subject: Re: Bug#604269: Patch for fixing this bug and possible NMU.
Date: Sun, 13 Mar 2011 09:51:18 +0100
El día 13 de marzo de 2011 01:02, Lisandro Damián Nicanor Pérez Meyer
<perezmeyer@gmail.com> escribió:
> tag 604269 patch
> thanks
>
> Hi! I'm attaching a patch for solving this bug. I will possibly upload an NMU
> soon for it to delayed/10.
>


Please, don't do it. Your proposed patch won't fix the problem.
Kde4 is not the problem, the problem is qt3 and can not be fixed.
I'm going to ask the removal of gambas2 from the Debian archive as
soon as I manage the packages depending on gambas2.

You can read the dialog I kept with gambas upstream at:

http://sourceforge.net/mailarchive/forum.php?thread_name=AANLkTinaucU94%3DhJt0GTOmqfRFo2tph636ZXGYmqKqC2%40mail.gmail.com&forum_name=gambas-devel

Regards.



> Please, do not heasitate in contacting me for any comments/issues you may
> have.
>
> Kinds regards, Lisandro.
>
> --
> I still maintain the point that designing a monolithic kernel in 1991 is a
> fundamental error.  Be thankful you are not my student.  You would not get a
> high grade for such a design :-)
> (Andrew Tanenbaum to Linus Torvalds)
>
> Lisandro Damián Nicanor Pérez Meyer
> http://perezmeyer.com.ar/
> http://perezmeyer.blogspot.com/
>




Information forwarded to debian-bugs-dist@lists.debian.org, José L. Redrejo Rodríguez <jredrejo@debian.org>:
Bug#604269; Package src:gambas2. (Sun, 13 Mar 2011 10:24:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ana Guerrero <ana@debian.org>:
Extra info received and forwarded to list. Copy sent to José L. Redrejo Rodríguez <jredrejo@debian.org>. (Sun, 13 Mar 2011 10:24:03 GMT) Full text and rfc822 format available.

Message #49 received at 604269@bugs.debian.org (full text, mbox):

From: Ana Guerrero <ana@debian.org>
To: José Luis Redrejo Rodríguez <jredrejo@debian.org>, 604269@bugs.debian.org
Cc: Lisandro Damián Nicanor Pérez Meyer <perezmeyer@gmail.com>
Subject: Re: Bug#604269: Patch for fixing this bug and possible NMU.
Date: Sun, 13 Mar 2011 11:21:14 +0100
On Sun, Mar 13, 2011 at 09:51:18AM +0100, José Luis Redrejo Rodríguez wrote:
> El día 13 de marzo de 2011 01:02, Lisandro Damián Nicanor Pérez Meyer
> <perezmeyer@gmail.com> escribió:
> > tag 604269 patch
> > thanks
> >
> > Hi! I'm attaching a patch for solving this bug. I will possibly upload an NMU
> > soon for it to delayed/10.
> >
> 
> 
> Please, don't do it. Your proposed patch won't fix the problem.
> Kde4 is not the problem, the problem is qt3 and can not be fixed.
> I'm going to ask the removal of gambas2 from the Debian archive as
> soon as I manage the packages depending on gambas2.
> 
> You can read the dialog I kept with gambas upstream at:
> 
> http://sourceforge.net/mailarchive/forum.php?thread_name=AANLkTinaucU94%3DhJt0GTOmqfRFo2tph636ZXGYmqKqC2%40mail.gmail.com&forum_name=gambas-devel

Hola José Luis!

Stuff using Qt3 can be kept in the archive for now at least (and
it might even make into weezy if somebody else step up to maintain
qt3)
What we are trying to remove currently is kdelibs from KDE3
and Lisandro's patch remove this part from gambas2. So if you could
do an upload of gambas2 based in Lisandro's work great, if you
think the best is a removal anyway, I trust your judgement here.

Ana




Information forwarded to debian-bugs-dist@lists.debian.org, José L. Redrejo Rodríguez <jredrejo@debian.org>:
Bug#604269; Package src:gambas2. (Sun, 13 Mar 2011 10:36:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to José Luis Redrejo Rodríguez <jredrejo@debian.org>:
Extra info received and forwarded to list. Copy sent to José L. Redrejo Rodríguez <jredrejo@debian.org>. (Sun, 13 Mar 2011 10:36:03 GMT) Full text and rfc822 format available.

Message #54 received at 604269@bugs.debian.org (full text, mbox):

From: José Luis Redrejo Rodríguez <jredrejo@debian.org>
To: Ana Guerrero <ana@debian.org>
Cc: 604269@bugs.debian.org, Lisandro Damián Nicanor Pérez <perezmeyer@gmail.com>
Subject: Re: Bug#604269: Patch for fixing this bug and possible NMU.
Date: Sun, 13 Mar 2011 11:34:02 +0100
El día 13 de marzo de 2011 11:21, Ana Guerrero <ana@debian.org> escribió:
> On Sun, Mar 13, 2011 at 09:51:18AM +0100, José Luis Redrejo Rodríguez wrote:
>> El día 13 de marzo de 2011 01:02, Lisandro Damián Nicanor Pérez Meyer
>> <perezmeyer@gmail.com> escribió:
>> > tag 604269 patch
>> > thanks
>> >
>> > Hi! I'm attaching a patch for solving this bug. I will possibly upload an NMU
>> > soon for it to delayed/10.
>> >
>>
>>
>> Please, don't do it. Your proposed patch won't fix the problem.
>> Kde4 is not the problem, the problem is qt3 and can not be fixed.
>> I'm going to ask the removal of gambas2 from the Debian archive as
>> soon as I manage the packages depending on gambas2.
>>
>> You can read the dialog I kept with gambas upstream at:
>>
>> http://sourceforge.net/mailarchive/forum.php?thread_name=AANLkTinaucU94%3DhJt0GTOmqfRFo2tph636ZXGYmqKqC2%40mail.gmail.com&forum_name=gambas-devel
>
> Hola José Luis!
>


Hola!

> Stuff using Qt3 can be kept in the archive for now at least (and
> it might even make into weezy if somebody else step up to maintain
> qt3)


These are great news, not only for this package, if you've read above
upstream comments to removing qt3, he complains because he (and more
people) thinks qt3 is faster and allows doing more things than qt4.
I hope some brave people dare to keep qt3 in the archive.



> What we are trying to remove currently is kdelibs from KDE3
> and Lisandro's patch remove this part from gambas2. So if you could
> do an upload of gambas2 based in Lisandro's work great, if you
> think the best is a removal anyway, I trust your judgement here.


I'll try it this evening. In the past I even tried compiling gambas
with kde4, I'll check if the kde component can be kept compiling
against kdelibs5-dev


Thanks for your information.

Cheers
José L.




Information forwarded to debian-bugs-dist@lists.debian.org, José L. Redrejo Rodríguez <jredrejo@debian.org>:
Bug#604269; Package src:gambas2. (Sun, 13 Mar 2011 17:45:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Lisandro Damián Nicanor Pérez Meyer <perezmeyer@gmail.com>:
Extra info received and forwarded to list. Copy sent to José L. Redrejo Rodríguez <jredrejo@debian.org>. (Sun, 13 Mar 2011 17:45:07 GMT) Full text and rfc822 format available.

Message #59 received at 604269@bugs.debian.org (full text, mbox):

From: Lisandro Damián Nicanor Pérez Meyer <perezmeyer@gmail.com>
To: José Luis Redrejo Rodríguez <jredrejo@debian.org>
Cc: Ana Guerrero <ana@debian.org>, 604269@bugs.debian.org
Subject: Re: Bug#604269: Patch for fixing this bug and possible NMU.
Date: Sun, 13 Mar 2011 14:41:53 -0300
[Message part 1 (text/plain, inline)]
On Sunday 13 March 2011 07:34:02 José Luis Redrejo Rodríguez wrote:
> El día 13 de marzo de 2011 11:21, Ana Guerrero <ana@debian.org> escribió:
[snip]
> > What we are trying to remove currently is kdelibs from KDE3
> > and Lisandro's patch remove this part from gambas2. So if you could
> > do an upload of gambas2 based in Lisandro's work great, if you
> > think the best is a removal anyway, I trust your judgement here.
> 
> I'll try it this evening. In the past I even tried compiling gambas
> with kde4, I'll check if the kde component can be kept compiling
> against kdelibs5-dev

José: please do not heasitate in contacting me if you find the patch is 
missing something/has a bug/whatever and you don't have the time to firther 
investigate it. I'll be pleased to help :-)

Kinds regards, Lisandro.

-- 
Sobre Argentina: "sé que es uno de los países
mas hospitalarios del mundo"
 Albert Einstein

Lisandro Damián Nicanor Pérez Meyer
http://perezmeyer.com.ar/
http://perezmeyer.blogspot.com/
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, José L. Redrejo Rodríguez <jredrejo@debian.org>:
Bug#604269; Package src:gambas2. (Sun, 13 Mar 2011 18:18:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to José Luis Redrejo Rodríguez <jredrejo@debian.org>:
Extra info received and forwarded to list. Copy sent to José L. Redrejo Rodríguez <jredrejo@debian.org>. (Sun, 13 Mar 2011 18:18:05 GMT) Full text and rfc822 format available.

Message #64 received at 604269@bugs.debian.org (full text, mbox):

From: José Luis Redrejo Rodríguez <jredrejo@debian.org>
To: Lisandro Damián Nicanor Pérez Meyer <perezmeyer@gmail.com>
Cc: 604269@bugs.debian.org
Subject: Re: Bug#604269: Patch for fixing this bug and possible NMU.
Date: Sun, 13 Mar 2011 19:14:56 +0100
El día 13 de marzo de 2011 18:41, Lisandro Damián Nicanor Pérez Meyer
<perezmeyer@gmail.com> escribió:
> On Sunday 13 March 2011 07:34:02 José Luis Redrejo Rodríguez wrote:
>> El día 13 de marzo de 2011 11:21, Ana Guerrero <ana@debian.org> escribió:
> [snip]
>> > What we are trying to remove currently is kdelibs from KDE3
>> > and Lisandro's patch remove this part from gambas2. So if you could
>> > do an upload of gambas2 based in Lisandro's work great, if you
>> > think the best is a removal anyway, I trust your judgement here.
>>
>> I'll try it this evening. In the past I even tried compiling gambas
>> with kde4, I'll check if the kde component can be kept compiling
>> against kdelibs5-dev
>
> José: please do not heasitate in contacting me if you find the patch is
> missing something/has a bug/whatever and you don't have the time to firther
> investigate it. I'll be pleased to help :-)


Hi, Lisandro, I'm taking a look at it. There's no way to compile it
with kdelibs5-dev, so kde support must be removed. Anyway, there are
some files to patch in the sources, it's not enough with the debian
files, as gambas informer preloads kde. Also, the gambas2-gb-gui
package description you modified in your patch must not be changed: as
we can continue using qt, it keeps the same behaviour: when running a
gambas application in kde it will use qt libraries, and gtk otherwise.

I hope to have it finished tonight or tomorrow.

Thanks for your help.




>
> Kinds regards, Lisandro.
>
> --
> Sobre Argentina: "sé que es uno de los países
> mas hospitalarios del mundo"
>  Albert Einstein
>
> Lisandro Damián Nicanor Pérez Meyer
> http://perezmeyer.com.ar/
> http://perezmeyer.blogspot.com/
>




Information forwarded to debian-bugs-dist@lists.debian.org, José L. Redrejo Rodríguez <jredrejo@debian.org>:
Bug#604269; Package src:gambas2. (Sun, 13 Mar 2011 18:33:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Lisandro Damián Nicanor Pérez Meyer <perezmeyer@gmail.com>:
Extra info received and forwarded to list. Copy sent to José L. Redrejo Rodríguez <jredrejo@debian.org>. (Sun, 13 Mar 2011 18:33:03 GMT) Full text and rfc822 format available.

Message #69 received at 604269@bugs.debian.org (full text, mbox):

From: Lisandro Damián Nicanor Pérez Meyer <perezmeyer@gmail.com>
To: José Luis Redrejo Rodríguez <jredrejo@debian.org>
Cc: 604269@bugs.debian.org
Subject: Re: Bug#604269: Patch for fixing this bug and possible NMU.
Date: Sun, 13 Mar 2011 18:29:09 +0000
2011/3/13 José Luis Redrejo Rodríguez <jredrejo@debian.org>:
> El día 13 de marzo de 2011 18:41, Lisandro Damián Nicanor Pérez Meyer
[snip]
> Hi, Lisandro, I'm taking a look at it. There's no way to compile it
> with kdelibs5-dev, so kde support must be removed.

Yes, I was going to mention you that and I forgot, sorry for that :-(

> Anyway, there are
> some files to patch in the sources, it's not enough with the debian
> files, as gambas informer preloads kde.

That means that even when the correct switch is passed to configure it
still finds kde 3?

> Also, the gambas2-gb-gui
> package description you modified in your patch must not be changed: as
> we can continue using qt, it keeps the same behaviour: when running a
> gambas application in kde it will use qt libraries, and gtk otherwise.

Indeed, my mistake.

> I hope to have it finished tonight or tomorrow.

Great, tell me if I can be of any help.

Kinds regards, Lisandro.

-- 
Lisandro Damián Nicanor Pérez Meyer
http://perezmeyer.com.ar/
http://perezmeyer.blogspot.com/




Information forwarded to debian-bugs-dist@lists.debian.org, José L. Redrejo Rodríguez <jredrejo@debian.org>:
Bug#604269; Package src:gambas2. (Sun, 13 Mar 2011 18:48:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to José Luis Redrejo Rodríguez <jredrejo@debian.org>:
Extra info received and forwarded to list. Copy sent to José L. Redrejo Rodríguez <jredrejo@debian.org>. (Sun, 13 Mar 2011 18:48:03 GMT) Full text and rfc822 format available.

Message #74 received at 604269@bugs.debian.org (full text, mbox):

From: José Luis Redrejo Rodríguez <jredrejo@debian.org>
To: Lisandro Damián Nicanor Pérez Meyer <perezmeyer@gmail.com>
Cc: 604269@bugs.debian.org
Subject: Re: Bug#604269: Patch for fixing this bug and possible NMU.
Date: Sun, 13 Mar 2011 19:44:54 +0100
El día 13 de marzo de 2011 19:29, Lisandro Damián Nicanor Pérez Meyer
<perezmeyer@gmail.com> escribió:
> 2011/3/13 José Luis Redrejo Rodríguez <jredrejo@debian.org>:
>> El día 13 de marzo de 2011 18:41, Lisandro Damián Nicanor Pérez Meyer
> [snip]
>> Hi, Lisandro, I'm taking a look at it. There's no way to compile it
>> with kdelibs5-dev, so kde support must be removed.
>
> Yes, I was going to mention you that and I forgot, sorry for that :-(
>
>> Anyway, there are
>> some files to patch in the sources, it's not enough with the debian
>> files, as gambas informer preloads kde.
>
> That means that even when the correct switch is passed to configure it
> still finds kde 3?
>

it tries to preload it because these libraries are "harcoded" :
main/gbc/gbi.c:					preload(argv, "libqt-mt.so.3 libkdecore.so.4");
main/gbx/gbx_library.c:        add_preload(&env, "libkdecore.so.4");

and gives error messages because it can not find them if kde3 is not installed.




Reply sent to jredrejo@debian.org (José L. Redrejo Rodríguez):
You have taken responsibility. (Sun, 13 Mar 2011 19:51:07 GMT) Full text and rfc822 format available.

Notification sent to Eckhart Wörner <ewoerner@kde.org>:
Bug acknowledged by developer. (Sun, 13 Mar 2011 19:51:07 GMT) Full text and rfc822 format available.

Message #79 received at 604269-close@bugs.debian.org (full text, mbox):

From: jredrejo@debian.org (José L. Redrejo Rodríguez)
To: 604269-close@bugs.debian.org
Subject: Bug#604269: fixed in gambas2 2.22.0-1
Date: Sun, 13 Mar 2011 19:47:50 +0000
Source: gambas2
Source-Version: 2.22.0-1

We believe that the bug you reported is fixed in the latest version of
gambas2, which is due to be installed in the Debian FTP archive:

gambas2-dev_2.22.0-1_i386.deb
  to main/g/gambas2/gambas2-dev_2.22.0-1_i386.deb
gambas2-doc_2.22.0-1_all.deb
  to main/g/gambas2/gambas2-doc_2.22.0-1_all.deb
gambas2-gb-chart_2.22.0-1_all.deb
  to main/g/gambas2/gambas2-gb-chart_2.22.0-1_all.deb
gambas2-gb-compress-bzlib2_2.22.0-1_i386.deb
  to main/g/gambas2/gambas2-gb-compress-bzlib2_2.22.0-1_i386.deb
gambas2-gb-compress-zlib_2.22.0-1_i386.deb
  to main/g/gambas2/gambas2-gb-compress-zlib_2.22.0-1_i386.deb
gambas2-gb-compress_2.22.0-1_i386.deb
  to main/g/gambas2/gambas2-gb-compress_2.22.0-1_i386.deb
gambas2-gb-crypt_2.22.0-1_i386.deb
  to main/g/gambas2/gambas2-gb-crypt_2.22.0-1_i386.deb
gambas2-gb-db-firebird_2.22.0-1_i386.deb
  to main/g/gambas2/gambas2-gb-db-firebird_2.22.0-1_i386.deb
gambas2-gb-db-form_2.22.0-1_all.deb
  to main/g/gambas2/gambas2-gb-db-form_2.22.0-1_all.deb
gambas2-gb-db-mysql_2.22.0-1_i386.deb
  to main/g/gambas2/gambas2-gb-db-mysql_2.22.0-1_i386.deb
gambas2-gb-db-odbc_2.22.0-1_i386.deb
  to main/g/gambas2/gambas2-gb-db-odbc_2.22.0-1_i386.deb
gambas2-gb-db-postgresql_2.22.0-1_i386.deb
  to main/g/gambas2/gambas2-gb-db-postgresql_2.22.0-1_i386.deb
gambas2-gb-db-sqlite2_2.22.0-1_i386.deb
  to main/g/gambas2/gambas2-gb-db-sqlite2_2.22.0-1_i386.deb
gambas2-gb-db-sqlite3_2.22.0-1_i386.deb
  to main/g/gambas2/gambas2-gb-db-sqlite3_2.22.0-1_i386.deb
gambas2-gb-db_2.22.0-1_i386.deb
  to main/g/gambas2/gambas2-gb-db_2.22.0-1_i386.deb
gambas2-gb-desktop_2.22.0-1_i386.deb
  to main/g/gambas2/gambas2-gb-desktop_2.22.0-1_i386.deb
gambas2-gb-form-dialog_2.22.0-1_all.deb
  to main/g/gambas2/gambas2-gb-form-dialog_2.22.0-1_all.deb
gambas2-gb-form-mdi_2.22.0-1_all.deb
  to main/g/gambas2/gambas2-gb-form-mdi_2.22.0-1_all.deb
gambas2-gb-form_2.22.0-1_all.deb
  to main/g/gambas2/gambas2-gb-form_2.22.0-1_all.deb
gambas2-gb-gtk-ext_2.22.0-1_i386.deb
  to main/g/gambas2/gambas2-gb-gtk-ext_2.22.0-1_i386.deb
gambas2-gb-gtk-svg_2.22.0-1_i386.deb
  to main/g/gambas2/gambas2-gb-gtk-svg_2.22.0-1_i386.deb
gambas2-gb-gtk_2.22.0-1_i386.deb
  to main/g/gambas2/gambas2-gb-gtk_2.22.0-1_i386.deb
gambas2-gb-gui_2.22.0-1_i386.deb
  to main/g/gambas2/gambas2-gb-gui_2.22.0-1_i386.deb
gambas2-gb-image_2.22.0-1_i386.deb
  to main/g/gambas2/gambas2-gb-image_2.22.0-1_i386.deb
gambas2-gb-info_2.22.0-1_all.deb
  to main/g/gambas2/gambas2-gb-info_2.22.0-1_all.deb
gambas2-gb-net-curl_2.22.0-1_i386.deb
  to main/g/gambas2/gambas2-gb-net-curl_2.22.0-1_i386.deb
gambas2-gb-net-smtp_2.22.0-1_i386.deb
  to main/g/gambas2/gambas2-gb-net-smtp_2.22.0-1_i386.deb
gambas2-gb-net_2.22.0-1_i386.deb
  to main/g/gambas2/gambas2-gb-net_2.22.0-1_i386.deb
gambas2-gb-opengl_2.22.0-1_i386.deb
  to main/g/gambas2/gambas2-gb-opengl_2.22.0-1_i386.deb
gambas2-gb-pcre_2.22.0-1_i386.deb
  to main/g/gambas2/gambas2-gb-pcre_2.22.0-1_i386.deb
gambas2-gb-pdf_2.22.0-1_i386.deb
  to main/g/gambas2/gambas2-gb-pdf_2.22.0-1_i386.deb
gambas2-gb-qt-ext_2.22.0-1_i386.deb
  to main/g/gambas2/gambas2-gb-qt-ext_2.22.0-1_i386.deb
gambas2-gb-qt-opengl_2.22.0-1_i386.deb
  to main/g/gambas2/gambas2-gb-qt-opengl_2.22.0-1_i386.deb
gambas2-gb-qt_2.22.0-1_i386.deb
  to main/g/gambas2/gambas2-gb-qt_2.22.0-1_i386.deb
gambas2-gb-report_2.22.0-1_all.deb
  to main/g/gambas2/gambas2-gb-report_2.22.0-1_all.deb
gambas2-gb-sdl-sound_2.22.0-1_i386.deb
  to main/g/gambas2/gambas2-gb-sdl-sound_2.22.0-1_i386.deb
gambas2-gb-sdl_2.22.0-1_i386.deb
  to main/g/gambas2/gambas2-gb-sdl_2.22.0-1_i386.deb
gambas2-gb-settings_2.22.0-1_all.deb
  to main/g/gambas2/gambas2-gb-settings_2.22.0-1_all.deb
gambas2-gb-v4l_2.22.0-1_i386.deb
  to main/g/gambas2/gambas2-gb-v4l_2.22.0-1_i386.deb
gambas2-gb-vb_2.22.0-1_i386.deb
  to main/g/gambas2/gambas2-gb-vb_2.22.0-1_i386.deb
gambas2-gb-web_2.22.0-1_all.deb
  to main/g/gambas2/gambas2-gb-web_2.22.0-1_all.deb
gambas2-gb-xml-rpc_2.22.0-1_i386.deb
  to main/g/gambas2/gambas2-gb-xml-rpc_2.22.0-1_i386.deb
gambas2-gb-xml-xslt_2.22.0-1_i386.deb
  to main/g/gambas2/gambas2-gb-xml-xslt_2.22.0-1_i386.deb
gambas2-gb-xml_2.22.0-1_i386.deb
  to main/g/gambas2/gambas2-gb-xml_2.22.0-1_i386.deb
gambas2-ide_2.22.0-1_i386.deb
  to main/g/gambas2/gambas2-ide_2.22.0-1_i386.deb
gambas2-runtime_2.22.0-1_i386.deb
  to main/g/gambas2/gambas2-runtime_2.22.0-1_i386.deb
gambas2-script_2.22.0-1_i386.deb
  to main/g/gambas2/gambas2-script_2.22.0-1_i386.deb
gambas2_2.22.0-1.debian.tar.gz
  to main/g/gambas2/gambas2_2.22.0-1.debian.tar.gz
gambas2_2.22.0-1.dsc
  to main/g/gambas2/gambas2_2.22.0-1.dsc
gambas2_2.22.0-1_i386.deb
  to main/g/gambas2/gambas2_2.22.0-1_i386.deb
gambas2_2.22.0.orig.tar.gz
  to main/g/gambas2/gambas2_2.22.0.orig.tar.gz



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 604269@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
José L. Redrejo Rodríguez <jredrejo@debian.org> (supplier of updated gambas2 package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Tue, 08 Mar 2011 10:14:31 +0100
Source: gambas2
Binary: gambas2 gambas2-dev gambas2-doc gambas2-gb-chart gambas2-gb-compress gambas2-gb-compress-bzlib2 gambas2-gb-compress-zlib gambas2-gb-crypt gambas2-gb-db gambas2-gb-db-firebird gambas2-gb-db-form gambas2-gb-db-mysql gambas2-gb-db-odbc gambas2-gb-db-postgresql gambas2-gb-db-sqlite2 gambas2-gb-db-sqlite3 gambas2-gb-desktop gambas2-gb-form gambas2-gb-form-dialog gambas2-gb-form-mdi gambas2-gb-gtk gambas2-gb-gtk-ext gambas2-gb-gtk-svg gambas2-gb-gui gambas2-gb-pdf gambas2-gb-image gambas2-gb-info gambas2-gb-net gambas2-gb-net-curl gambas2-gb-net-smtp gambas2-gb-opengl gambas2-gb-pcre gambas2-gb-qt gambas2-gb-qt-ext gambas2-gb-qt-opengl gambas2-gb-report gambas2-gb-sdl gambas2-gb-sdl-sound gambas2-gb-settings gambas2-gb-v4l gambas2-gb-vb gambas2-gb-web gambas2-gb-xml gambas2-gb-xml-rpc gambas2-gb-xml-xslt gambas2-ide gambas2-runtime gambas2-script
Architecture: source all i386
Version: 2.22.0-1
Distribution: unstable
Urgency: low
Maintainer: José L. Redrejo Rodríguez <jredrejo@debian.org>
Changed-By: José L. Redrejo Rodríguez <jredrejo@debian.org>
Description: 
 gambas2    - Complete visual development environment for Gambas
 gambas2-dev - Gambas compilation tools
 gambas2-doc - Gambas documentation
 gambas2-gb-chart - The Gambas charting component
 gambas2-gb-compress - The Gambas compression component
 gambas2-gb-compress-bzlib2 - The Gambas bzlib2 component
 gambas2-gb-compress-zlib - The Gambas zlib compression component
 gambas2-gb-crypt - The Gambas crypt encription component
 gambas2-gb-db - Gambas database access common libraries
 gambas2-gb-db-firebird - The Firebird driver for the Gambas database component
 gambas2-gb-db-form - Gambas database bound controls
 gambas2-gb-db-mysql - The MySQL driver for the Gambas database component
 gambas2-gb-db-odbc - The Gambas ODBC driver database component
 gambas2-gb-db-postgresql - The PostgreSQL driver for the Gambas database component
 gambas2-gb-db-sqlite2 - The Gambas sqlite2 driver database component
 gambas2-gb-db-sqlite3 - The Gambas sqlite3 driver database component
 gambas2-gb-desktop - Gambas Portland project compatibility component
 gambas2-gb-form - A gambas native form component
 gambas2-gb-form-dialog - A gambas native mdi form component
 gambas2-gb-form-mdi - A gambas native mdi form component
 gambas2-gb-gtk - The Gambas gtk component
 gambas2-gb-gtk-ext - The Gambas extended gtk GUI component
 gambas2-gb-gtk-svg - The Gambas SVG importing component
 gambas2-gb-gui - The graphical toolkit selector component
 gambas2-gb-image - A Gambas image effects component
 gambas2-gb-info - A Gambas information component
 gambas2-gb-net - The Gambas networking component
 gambas2-gb-net-curl - The Gambas advanced networking component
 gambas2-gb-net-smtp - Gambas component to use smtp protocol
 gambas2-gb-opengl - The OpenGL component for Gambas
 gambas2-gb-pcre - The Gambas regexp component
 gambas2-gb-pdf - The Gambas pdf component
 gambas2-gb-qt - The Gambas Qt GUI component
 gambas2-gb-qt-ext - The Gambas extended Qt GUI component
 gambas2-gb-qt-opengl - OpenGL with QT toolkit Gambas component
 gambas2-gb-report - Gambas report component
 gambas2-gb-sdl - The Gambas SDL component
 gambas2-gb-sdl-sound - The Gambas SDL component
 gambas2-gb-settings - Gambas utilities class
 gambas2-gb-v4l - The Gambas video for Linux component
 gambas2-gb-vb - The Gambas to Visual Basic(tm) compatibility component
 gambas2-gb-web - Gambas CGI for web applications component
 gambas2-gb-xml - Gambas XML component
 gambas2-gb-xml-rpc - Gambas RPC component
 gambas2-gb-xml-xslt - Gambas XSLT component
 gambas2-ide - Visual development environment for the Gambas programming languag
 gambas2-runtime - The Gambas runtime
 gambas2-script - The Gambas scripter
Closes: 604269 611777
Changes: 
 gambas2 (2.22.0-1) unstable; urgency=low
 .
   * New upstream release (Closes: 611777)
   * debian/control: Remove kdelibs4-dev build dependency. This removes
     the KDE 3 support, including kde and kde-html components
     (Closes: #604269)
   * debian/patches/remove_harcoded_kde.patch
Checksums-Sha1: 
 e37ce021a577e49278ba07970843dc8e5742ab4e 2419 gambas2_2.22.0-1.dsc
 9438e4b0814659f8d233013e1d4095540ae6f223 19501603 gambas2_2.22.0.orig.tar.gz
 746b45ee9d5493823a63e6307fd4d2a86add81a1 19129 gambas2_2.22.0-1.debian.tar.gz
 da23ecbd1318e6cb1d716afb330ff4b74ecd95d5 9237736 gambas2-doc_2.22.0-1_all.deb
 28b076ec5b0eaf7c03138bf268fc6e234baa2a44 35006 gambas2-gb-chart_2.22.0-1_all.deb
 5e37a6925abbbdd7cd5894f47d383d104ae4ff79 38532 gambas2-gb-db-form_2.22.0-1_all.deb
 e2759ce53d13e1896079104881b7af2478d13bc2 816716 gambas2-gb-form_2.22.0-1_all.deb
 b2f7fa4800427610037bae3f4e9abd22047bb706 10844 gambas2-gb-form-dialog_2.22.0-1_all.deb
 42efe865fa61fca6f1368b22e29282344fbb4bcc 21504 gambas2-gb-form-mdi_2.22.0-1_all.deb
 7d90613875f3aa220b0d1bd4c144f17ca04b28d4 22074 gambas2-gb-info_2.22.0-1_all.deb
 d43cb463b10c5fef89a92e383fcdb02ba02b79ff 54376 gambas2-gb-report_2.22.0-1_all.deb
 1f1b87f86cb2f7a167b1c8cabcdd12ec4b5b1739 10990 gambas2-gb-settings_2.22.0-1_all.deb
 971271651b1d5d864ee490a002ff71cebf09cc36 16542 gambas2-gb-web_2.22.0-1_all.deb
 6cc4059f7289d57607f2afcbb8ed8983029d4728 104706 gambas2_2.22.0-1_i386.deb
 87c7e54c879409ab70dfb9da05358df2105eec42 67534 gambas2-dev_2.22.0-1_i386.deb
 e1a6ce305c6c4d0e13865b086489f9a948872c6e 10084 gambas2-gb-compress_2.22.0-1_i386.deb
 c7157fa56de893f995946b04c0d18863f94d4f8f 10104 gambas2-gb-compress-bzlib2_2.22.0-1_i386.deb
 11ede8fac44602cee8d37f90b6d621c87c6a2e2c 9844 gambas2-gb-compress-zlib_2.22.0-1_i386.deb
 e65015b533ccaabe8e8a34cb10b8780cafacd0ec 9488 gambas2-gb-crypt_2.22.0-1_i386.deb
 27cea09b069b5ac63c7c5d6e17ce3d67102e26e9 23076 gambas2-gb-db_2.22.0-1_i386.deb
 04a657fa6ecaf7669ef5660f04ec280556204bd2 106694 gambas2-gb-db-firebird_2.22.0-1_i386.deb
 a5eaa2838579e488d1d2203337b676bd15d742c3 17306 gambas2-gb-db-mysql_2.22.0-1_i386.deb
 535282e619d36a5bd3484a5b73f75c31a261381f 15552 gambas2-gb-db-odbc_2.22.0-1_i386.deb
 57686ee11dd0d22d5a4a76dc1c2eaa980b47ba3d 15940 gambas2-gb-db-postgresql_2.22.0-1_i386.deb
 34a60d9c00c61b93f15318dfd465d6f84d3dda22 41962 gambas2-gb-db-sqlite2_2.22.0-1_i386.deb
 60263cff74d8b4bb433cc429ebee2d807e686a18 43636 gambas2-gb-db-sqlite3_2.22.0-1_i386.deb
 340a311557abe1340270909473bf8f94e4701f46 43870 gambas2-gb-desktop_2.22.0-1_i386.deb
 8cc7468a949279655c48977a9761edb8beb25bdb 184046 gambas2-gb-gtk_2.22.0-1_i386.deb
 be374aa90fd39111418f84509b3e5161dd911433 12424 gambas2-gb-gtk-ext_2.22.0-1_i386.deb
 7dbffdae9ca23f058fb5fe91612811296844ead8 9990 gambas2-gb-gtk-svg_2.22.0-1_i386.deb
 ddc9c6c201f18ea074f1d4cbb394480a3a93f76d 15842 gambas2-gb-gui_2.22.0-1_i386.deb
 a915d9a1384da8e44001f4b470c007bdfa1691d4 17774 gambas2-gb-pdf_2.22.0-1_i386.deb
 4712807ef33adc86a0298a1d1e7fa57f4df8ae71 33902 gambas2-gb-image_2.22.0-1_i386.deb
 fc42a915dc6f34c95bae80958cfde15b7e196020 23448 gambas2-gb-net_2.22.0-1_i386.deb
 bb4194f3e305903c279bff40970d58bfafe41948 17702 gambas2-gb-net-curl_2.22.0-1_i386.deb
 247c48f288a01f05c3d25a21fcc150c6c28359f9 19012 gambas2-gb-net-smtp_2.22.0-1_i386.deb
 70eb1a263a1e7197c5244f421704ec92dcf3c428 29662 gambas2-gb-opengl_2.22.0-1_i386.deb
 ccf7eb33754858650132df06be5fe3905395bdfe 10532 gambas2-gb-pcre_2.22.0-1_i386.deb
 61593c72f9cedfaad9b31e51d09d085bc3865ef8 248522 gambas2-gb-qt_2.22.0-1_i386.deb
 345835d644627b3575efb156254fe6e063308e18 55332 gambas2-gb-qt-ext_2.22.0-1_i386.deb
 f8e8665b97dcc15b9dedc319731fae1982032cab 14508 gambas2-gb-qt-opengl_2.22.0-1_i386.deb
 e89dbb402d3a20f0a631c63dfcd1c06001ccbf7c 31274 gambas2-gb-sdl_2.22.0-1_i386.deb
 db513181d0f132eeb518823667a74581f2164779 13632 gambas2-gb-sdl-sound_2.22.0-1_i386.deb
 bd57af106245a1e812c8b3fad22bd4d140aa8f5f 14220 gambas2-gb-v4l_2.22.0-1_i386.deb
 fbbd5f98240404777f84ac84e634babb55b10b8d 10752 gambas2-gb-vb_2.22.0-1_i386.deb
 e6144d3bbfe49babd3b71967ba2a3a477c3da76c 16798 gambas2-gb-xml_2.22.0-1_i386.deb
 eb948ff548d6e4d9ad58993f641e6f8688ab3c1a 23190 gambas2-gb-xml-rpc_2.22.0-1_i386.deb
 0965801e78b709187cc1384531f60f9d429604b3 8852 gambas2-gb-xml-xslt_2.22.0-1_i386.deb
 609578f12551931bbee9e98a0182a80efd84b0bb 1220398 gambas2-ide_2.22.0-1_i386.deb
 7c7cba66befd802bf53d5b95849ce027b6413b9b 159780 gambas2-runtime_2.22.0-1_i386.deb
 c31460b592c24f1cb3c310e1ef8b78c13a30758d 19540 gambas2-script_2.22.0-1_i386.deb
Checksums-Sha256: 
 56b04955e5692b9cf28755f9b171fd4ecc05bb36358c2d73bdf49c962cd79a9c 2419 gambas2_2.22.0-1.dsc
 e111fcedc8a019ce10edfa1ab6c703b49cd1679097c6098fde006838df039e55 19501603 gambas2_2.22.0.orig.tar.gz
 7c4684c5b1f1b7a3e5b988d779a8cbc46ae43489f8dbb4a993d4d07c0d68f203 19129 gambas2_2.22.0-1.debian.tar.gz
 2096a0a967a0f306ddd52c7d09b37070c4537f4a1b766a39b6017e474717878b 9237736 gambas2-doc_2.22.0-1_all.deb
 ab463d8ce12ac900c0e6999d7a5f1d49c7f10b5d2a98c9f7495d1b3e0bab5ccc 35006 gambas2-gb-chart_2.22.0-1_all.deb
 1a6bb87d52856291d1a423f43168d5a1cbe2ce5d9f9f784f3b4a63cc5839e61b 38532 gambas2-gb-db-form_2.22.0-1_all.deb
 e45cec9a2bcbecf6d6186ab6572fe53287a7724ff4f4d2b2a107a71707787df9 816716 gambas2-gb-form_2.22.0-1_all.deb
 f21ff72b4f75fb1050769ef2f629ec21801c9f32f696849d2aee639e72f1a419 10844 gambas2-gb-form-dialog_2.22.0-1_all.deb
 7314b38204eca4a08b88defb35794a97042c8ab6eada3a15d660b4d1d1da4a02 21504 gambas2-gb-form-mdi_2.22.0-1_all.deb
 75f226183dc30a20ab06d686e435362d0502994aba2d8795abbe693d2dd348f5 22074 gambas2-gb-info_2.22.0-1_all.deb
 53e574379daf32fc1c3c4cdfe1575c0f1b6370196f4923c757cd16362b5b52cf 54376 gambas2-gb-report_2.22.0-1_all.deb
 a328b2101ae7609acaf7067e0b14dbbf57bf50bdd25bd034dac258e997722cd6 10990 gambas2-gb-settings_2.22.0-1_all.deb
 36f01a5e158bf0de363b83f739e7a65aa978041c88a6d2ba27c1931a52cb359d 16542 gambas2-gb-web_2.22.0-1_all.deb
 2f5a3a52f555347c2fd4d80879754ed22d4f9d8883f94d88ccd292f2e4b5b681 104706 gambas2_2.22.0-1_i386.deb
 f0d90e452283acc9b74d1706f1deb3fe195c0853d13f8804ccde24f31975b8b4 67534 gambas2-dev_2.22.0-1_i386.deb
 ffc28726eb8bacf7ac704176f65f8fcebd10db205a58b4bd30dc7d923d470b01 10084 gambas2-gb-compress_2.22.0-1_i386.deb
 b57416b101e5e08738132893e7a9fcbf4fe83a1fd079885efb77b03d4ce3a2bc 10104 gambas2-gb-compress-bzlib2_2.22.0-1_i386.deb
 bfeb1897a423d031dea1513712f7abab6f891de7c98f1624255ef0b9734a2df0 9844 gambas2-gb-compress-zlib_2.22.0-1_i386.deb
 665a9af02d91616134684d744690d3ab355062d217b3fdb6f6d8d5d9ab45b9ca 9488 gambas2-gb-crypt_2.22.0-1_i386.deb
 313d7895b9cd3f2744ea11a05db4d45154e60bba60cd4d279a9e091fd09692eb 23076 gambas2-gb-db_2.22.0-1_i386.deb
 80a6e8cc538a5f5ae2dd14f39df7b55679ac9b4e17b5c210b2e07c7c518ed8bf 106694 gambas2-gb-db-firebird_2.22.0-1_i386.deb
 cb6beb89d85452c472ed707e7036a5d7f2c8847d69123a87699699263ec38285 17306 gambas2-gb-db-mysql_2.22.0-1_i386.deb
 a1da19281a89848c35efdac2c765ad4f07aeda19f53f4c65b1c3b9c3c257cdb0 15552 gambas2-gb-db-odbc_2.22.0-1_i386.deb
 567e4aed13ee54f17beb87ad0b496e4a7f3a390076d485f7decef6990a6ea912 15940 gambas2-gb-db-postgresql_2.22.0-1_i386.deb
 fa696f4969efb10cc660a1f8457a46845d604b1b1ff78b4dcc1daffefeed3098 41962 gambas2-gb-db-sqlite2_2.22.0-1_i386.deb
 888a51791736d2bb7c9c53ed508d45eebd913e7cdd81e8a028fc7e7df5a8c4a0 43636 gambas2-gb-db-sqlite3_2.22.0-1_i386.deb
 cfc6aa38981bb82163548ad4af99921af475c5c4d0f41c526f6979cd69ce7e79 43870 gambas2-gb-desktop_2.22.0-1_i386.deb
 afc7b53733b7488ec5dc5a235364d24ad3df06f3ff17c67025422dabbb73967d 184046 gambas2-gb-gtk_2.22.0-1_i386.deb
 015f1ac1ee41f3ef9715ba36572fd8d7f1884ea3be6a979b31755353d1b5864d 12424 gambas2-gb-gtk-ext_2.22.0-1_i386.deb
 68f174cfea4b5052c521981f52407372724cdf2e99242eb9786e012853c4b68f 9990 gambas2-gb-gtk-svg_2.22.0-1_i386.deb
 46c71d80edcc1a0ad72eb6505f7cd6b6b05a4714c51224e5dcda061e933a0b8d 15842 gambas2-gb-gui_2.22.0-1_i386.deb
 695062f1e6359aedf46eb65c2d3b49e1ea9812dfcbb51a285df0c762234e5997 17774 gambas2-gb-pdf_2.22.0-1_i386.deb
 7da6de3597cda2667a0f207c8ed76a1939e6c4a29c09f85145f22f43610ce694 33902 gambas2-gb-image_2.22.0-1_i386.deb
 d349169323a314a8f01053914ddf4637caa85dc42acded934f2f7030cbb51d8a 23448 gambas2-gb-net_2.22.0-1_i386.deb
 381570c70e34934d9a0fe6a361b481fee095e1e3d3b7cf2c6632bcf1a99d0632 17702 gambas2-gb-net-curl_2.22.0-1_i386.deb
 435505c42f5d366d47587a40771c4cbd55984b84ef2c009d58ba3455f87b5f9d 19012 gambas2-gb-net-smtp_2.22.0-1_i386.deb
 dbd231be935b4c51e4b43487466833a4b696e6800f4a9345bb49b1620e215e3b 29662 gambas2-gb-opengl_2.22.0-1_i386.deb
 4f298fd01cc5a4c315b2eabac479aefc1bb2d1cad40105e48af089cd3b6f8c75 10532 gambas2-gb-pcre_2.22.0-1_i386.deb
 9dc0bbaef24344c60614e3d6980b8eba344fd7f11d2d85196b5a08e4dacef4fa 248522 gambas2-gb-qt_2.22.0-1_i386.deb
 9b5c427eeb52eea7202f5b3d1a84fd315c5abb59aa9993c8dbb02298b735f440 55332 gambas2-gb-qt-ext_2.22.0-1_i386.deb
 78cb923af01c0a7c5b542a3cfb84d99960db04e7c4edd2962e795af02939c887 14508 gambas2-gb-qt-opengl_2.22.0-1_i386.deb
 1d65a7034b6317fbc063528777355c44ca5cf73e91ddf1f04e09000516a39f0f 31274 gambas2-gb-sdl_2.22.0-1_i386.deb
 dba37fe49aa7967a2a656d93f0c64ee40a6c0c368aa7ef94edd4a584f7d50628 13632 gambas2-gb-sdl-sound_2.22.0-1_i386.deb
 f5ac5f37eb836e6e210459904f9d91b62355f75ca5960e17d468f317a1d676f1 14220 gambas2-gb-v4l_2.22.0-1_i386.deb
 eef22a692632cc931dafa9588d266770d26ac51964b47ab2232cf9eec83f08f0 10752 gambas2-gb-vb_2.22.0-1_i386.deb
 543e782a40f4e3ab76581633aeaac6a588e3191a6060f6685f1b68b4405f8891 16798 gambas2-gb-xml_2.22.0-1_i386.deb
 dec07601f03d7e2b4d677b61d6afcef3aff7fb02c7157bfca690fc8c2ede0492 23190 gambas2-gb-xml-rpc_2.22.0-1_i386.deb
 3b6fc02b834f325b9612b22e7688cc074f59eda3fd286c8834ec6cbe8bc084b6 8852 gambas2-gb-xml-xslt_2.22.0-1_i386.deb
 8648c0d01e2cb689409c31f2bdcff80493c0f56ece0a8ed4199fda3cb71ae2c7 1220398 gambas2-ide_2.22.0-1_i386.deb
 762efdf1863ed193ab0ab35c1a3b0cc6923a03fce7f46e7271c2fb116427273e 159780 gambas2-runtime_2.22.0-1_i386.deb
 b7454a932b0f1c3fc672655d8e6ddb07bb5e348998e7f7642ada00202e425c73 19540 gambas2-script_2.22.0-1_i386.deb
Files: 
 99cfbbdc801b0a63d34190d60d4cae93 2419 devel optional gambas2_2.22.0-1.dsc
 f4d5a4b5d309029a0e95e671f60c1001 19501603 devel optional gambas2_2.22.0.orig.tar.gz
 33f994647897e737ab2cb3791fc37e9e 19129 devel optional gambas2_2.22.0-1.debian.tar.gz
 fc0347ddef72725c1dd42b997ab5d6b5 9237736 doc optional gambas2-doc_2.22.0-1_all.deb
 1ba35e548ef3ed9036c2a7112495f2eb 35006 libdevel optional gambas2-gb-chart_2.22.0-1_all.deb
 96741eb41417a44bec5794326b72e8b5 38532 libdevel optional gambas2-gb-db-form_2.22.0-1_all.deb
 bde61d704b403a9cff0384e54a444e4d 816716 libdevel optional gambas2-gb-form_2.22.0-1_all.deb
 e2535a2ce87a6841e5501ef6551e1ff6 10844 libdevel optional gambas2-gb-form-dialog_2.22.0-1_all.deb
 9e84e9c694a88de8a02fa291eb1ef324 21504 libdevel optional gambas2-gb-form-mdi_2.22.0-1_all.deb
 c1f45851f20b26fd61416bab35487d31 22074 libdevel optional gambas2-gb-info_2.22.0-1_all.deb
 14e23dab9e20aff93e67b65a0b41433d 54376 libdevel optional gambas2-gb-report_2.22.0-1_all.deb
 ecc26409ebaa0e51171fa7ddbafa7338 10990 libdevel optional gambas2-gb-settings_2.22.0-1_all.deb
 ac2f21bc635fac841279ec2fbd38df7c 16542 libdevel optional gambas2-gb-web_2.22.0-1_all.deb
 1a30345a0398fe02412ddb23f243cf01 104706 devel optional gambas2_2.22.0-1_i386.deb
 d940bf80460ad038e5382ffbe061bbdb 67534 devel optional gambas2-dev_2.22.0-1_i386.deb
 ee6f240eb6b4c6bead7cdc27ed768d93 10084 libdevel optional gambas2-gb-compress_2.22.0-1_i386.deb
 aafbb9f8513b4bdbebeeeae55c258f15 10104 libdevel optional gambas2-gb-compress-bzlib2_2.22.0-1_i386.deb
 d607017fa08d8942b243ef3dc5441e56 9844 libdevel optional gambas2-gb-compress-zlib_2.22.0-1_i386.deb
 8b7362be36de0daaa3e1077fc3b3d6d6 9488 libdevel optional gambas2-gb-crypt_2.22.0-1_i386.deb
 430120d7bbac10657e40a69853066dbd 23076 libdevel optional gambas2-gb-db_2.22.0-1_i386.deb
 37065db1ba958d75a5b896793153dd35 106694 libdevel optional gambas2-gb-db-firebird_2.22.0-1_i386.deb
 bd56c7e0dfa1dddaae55ae573572ee80 17306 libdevel optional gambas2-gb-db-mysql_2.22.0-1_i386.deb
 514d12e9e56407024c38cd955a11e05c 15552 libdevel optional gambas2-gb-db-odbc_2.22.0-1_i386.deb
 42d90f9b91001795e5e506a670ee5304 15940 libdevel optional gambas2-gb-db-postgresql_2.22.0-1_i386.deb
 f98e4519cf6b6b7c3b3854acbb8a61ab 41962 libdevel optional gambas2-gb-db-sqlite2_2.22.0-1_i386.deb
 caa642dec3339d454dec7241f54183a0 43636 libdevel optional gambas2-gb-db-sqlite3_2.22.0-1_i386.deb
 0c39f3301faa5634c2715305ce183def 43870 libdevel optional gambas2-gb-desktop_2.22.0-1_i386.deb
 2f90e2c199c2b7ef76e3063cce3d6f11 184046 libdevel optional gambas2-gb-gtk_2.22.0-1_i386.deb
 ef3f923078c841b47100fb34598cb10b 12424 libdevel optional gambas2-gb-gtk-ext_2.22.0-1_i386.deb
 5359c7724182360ab72961ef325917f5 9990 libdevel optional gambas2-gb-gtk-svg_2.22.0-1_i386.deb
 5c2dcf69a0f20c93010568cd022ea91f 15842 libdevel optional gambas2-gb-gui_2.22.0-1_i386.deb
 a9e97dba74c98c6872dde803f48114c2 17774 libdevel optional gambas2-gb-pdf_2.22.0-1_i386.deb
 3c1e38e19b9ef71eeef9db9fca07932f 33902 libdevel optional gambas2-gb-image_2.22.0-1_i386.deb
 2bc439260d1aa6bb0bf6f4c3056e9ba0 23448 libdevel optional gambas2-gb-net_2.22.0-1_i386.deb
 f186255cd4befe2dda626001236fbd89 17702 libdevel optional gambas2-gb-net-curl_2.22.0-1_i386.deb
 907458e76af625f54553f822b8acc1d9 19012 libdevel optional gambas2-gb-net-smtp_2.22.0-1_i386.deb
 c477ddfd1a650525441315e9e61c645c 29662 libdevel optional gambas2-gb-opengl_2.22.0-1_i386.deb
 967626180903741fa5261efd1bd7853c 10532 libdevel optional gambas2-gb-pcre_2.22.0-1_i386.deb
 51eb16dcf5b77100b890a3e8b6d9511c 248522 libdevel optional gambas2-gb-qt_2.22.0-1_i386.deb
 d236e4ebfca764f7ef24fef5886bf15d 55332 libdevel optional gambas2-gb-qt-ext_2.22.0-1_i386.deb
 4b36665a5758db4362a1a774b34a10db 14508 libdevel optional gambas2-gb-qt-opengl_2.22.0-1_i386.deb
 545a639b24048a966989a074b7294671 31274 libdevel optional gambas2-gb-sdl_2.22.0-1_i386.deb
 a95b74e893502706212661246baaca50 13632 libdevel optional gambas2-gb-sdl-sound_2.22.0-1_i386.deb
 6d0c2fe841f0a112c323549829388d25 14220 libdevel optional gambas2-gb-v4l_2.22.0-1_i386.deb
 40c121cbcd536f86e94faafc097cbb6c 10752 libdevel optional gambas2-gb-vb_2.22.0-1_i386.deb
 c743373e4b1704f2e8868a87f58c8394 16798 libdevel optional gambas2-gb-xml_2.22.0-1_i386.deb
 557860ece7f4c308c32bc5431ad72b67 23190 libdevel optional gambas2-gb-xml-rpc_2.22.0-1_i386.deb
 d8525101b0a355b6ec0d10f00c719dbb 8852 libdevel optional gambas2-gb-xml-xslt_2.22.0-1_i386.deb
 1463118699668c800d4aa932fbd5680e 1220398 devel optional gambas2-ide_2.22.0-1_i386.deb
 fe02019ebbcc02af96f1861ebb6aeced 159780 libdevel optional gambas2-runtime_2.22.0-1_i386.deb
 caa3dcbe472e51f020412da446521c74 19540 libdevel optional gambas2-script_2.22.0-1_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.11 (GNU/Linux)

iEYEARECAAYFAk19GToACgkQmqVR2WapDeJxegCgjQdfGvMpewAVUEeuSjOaIt5C
ml8AoObg/L7EgT7Cc+Q982BewXix0u47
=wVf+
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Wed, 14 Mar 2012 08:58:35 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 18 14:18:46 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.